package org.eclipse.jdt.internal.compiler.lookup;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.eclipse.jdt.internal.compiler.ast.Expression;
import org.eclipse.jdt.internal.compiler.lookup.InferenceContext18;
import org.eclipse.jdt.internal.compiler.lookup.InferenceVariable;
import org.eclipse.jdt.internal.compiler.lookup.InvocationSite;

class SuspendedInferenceRecord {
  InvocationSite site;
  
  Expression[] invocationArguments;
  
  InferenceVariable[] inferenceVariables;
  
  int inferenceKind;
  
  boolean usesUncheckedConversion;
  
  SuspendedInferenceRecord(InvocationSite site, Expression[] invocationArguments, InferenceVariable[] inferenceVariables, int inferenceKind, boolean usesUncheckedConversion) {
    this.site = site;
    this.invocationArguments = invocationArguments;
    this.inferenceVariables = inferenceVariables;
    this.inferenceKind = inferenceKind;
    this.usesUncheckedConversion = usesUncheckedConversion;
  }
}
